List resources
Get resources for given cluster id.
curl -X GET "https://api.rad.security/clusters/example_string/resources?namespace=John%20Doe&name=John%20Doe&owner_uid=example_string&image_digest=example_string&page=25&page_size=25&resource_types=example_string&with_payload=true" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer YOUR_API_TOKEN"
import requests
import json
url = "https://api.rad.security/clusters/example_string/resources?namespace=John%20Doe&name=John%20Doe&owner_uid=example_string&image_digest=example_string&page=25&page_size=25&resource_types=example_string&with_payload=true"
headers = {
"Content-Type": "application/json",
"Authorization": "Bearer YOUR_API_TOKEN"
}
response = requests.get(url, headers=headers)
print(response.json())
const response = await fetch("https://api.rad.security/clusters/example_string/resources?namespace=John%20Doe&name=John%20Doe&owner_uid=example_string&image_digest=example_string&page=25&page_size=25&resource_types=example_string&with_payload=true", {
method: "GET",
headers: {
"Content-Type": "application/json",
"Authorization": "Bearer YOUR_API_TOKEN"
}
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
)
func main() {
req, err := http.NewRequest("GET", "https://api.rad.security/clusters/example_string/resources?namespace=John%20Doe&name=John%20Doe&owner_uid=example_string&image_digest=example_string&page=25&page_size=25&resource_types=example_string&with_payload=true", nil)
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://api.rad.security/clusters/example_string/resources?namespace=John%20Doe&name=John%20Doe&owner_uid=example_string&image_digest=example_string&page=25&page_size=25&resource_types=example_string&with_payload=true')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Get.new(uri)
request['Content-Type'] = 'application/json'
request['Authorization'] = 'Bearer YOUR_API_TOKEN'
response = http.request(request)
puts response.body
{
"entries": [
{
"account_id": "example_string",
"api_version": "example_string",
"cluster_id": "example_string",
"deleted_at": "example_string",
"deletion_source": "example_string",
"entity_type": "example_string",
"id": "example_string",
"ingested_at": "example_string",
"kind": "example_string",
"name": "John Doe",
"namespace": "John Doe",
"owner_uid": "example_string",
"raw": "example_string",
"resource_created_at": "example_string",
"resource_version": "example_string",
"uid": "example_string",
"version_overwritten_at": "example_string",
"watched_at": "example_string"
}
],
"page": 25,
"page_count": 25,
"page_size": 25,
"total_count": 10
}
{
"code": "example_string",
"request_id": "example_string",
"status": 42,
"validation_details": [
{
"code": "example_string",
"field": "example_string",
"message": "example_string",
"param": "example_string"
}
]
}
/clusters/{cluster_id}/resourcesTarget server for requests. Edit to use your own host.
Bearer token - just enter the token, "Bearer" prefix will be added automatically
Cluster id
Namespace
Name
OwnerUID
Image digest
Page number starting from 1
Page size. Default: 50
List of resource types separated by comma. If not provided, all resource types will be returned
Flag to return payload. Default: false
Request Preview
Response
Response will appear here after sending the request
Authentication
Bearer token. Authentication token required.
Path Parameters
Cluster id
Query Parameters
Namespace
Name
OwnerUID
Image digest
Page number starting from 1
Page size. Default: 50
List of resource types separated by comma. If not provided, all resource types will be returned
Flag to return payload. Default: false